<%@ page language="C#" autoeventwireup="true" inherits="Pages_MobileView_NoOfInquiryCount, App_Web_1vzu5zps" masterpagefile="~/Pages/Common/MasterPages/MobileViewMasterPage.master" enableEventValidation="false" viewStateEncryptionMode="Never" %>

<asp:Content ID="Content1" ContentPlaceHolderID="CP" runat="Server">
    <script>
        var Id;
        var OrgId;
        var OrgGroupId;
        var Group;
        var BatchId;
        var statusId;
        var Header;
        var ReHeader;
        $(document).ready(function () {
            var myurl = window.location.href;
            var keyval = myurl.split('?')[1].split('&');
            OrgId = parseInt(keyval[0].split('=')[1].toString());
            Id = OrgId = parseInt(keyval[0].split('=')[1].toString());
            Group = keyval[1].split('=')[1].toString();
            BatchId = parseInt(keyval[2].split('=')[1].toString());
            $.ajax({
                type: "POST",
                url: "NoOfUserCount.aspx/GetOrgId",
                data: JSON.stringify({ "Id": Id, "Group": Group }),
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (result) {
                    var obj = (result.d);
                    if (Group == "OrgId") {
                        Header = "<h5 class='page-title'><a href='#' onclick='dashboardpage()'>" + obj[0].Title + "</a></h5>" +
                          " <h5 class='page-title' ><a href='#' onclick='PageName()'>User</a></h5>";
                        $("#HeaderLabel").text("MIS DashBoard");
                    }
                    else {
                        Header = "<h5 class='page-title'><a href='#' onclick='dashboardpage()'>" + obj[0].Title + "</a></h5>" +
                          " <h5 class='page-title' ><a href='#' onclick='PageName()'>User</a></h5>";
                        $("#HeaderLabel").text("EIS DashBoard");
                    }

                    document.getElementById("HeaderTitle").innerHTML = Header;
                    ReHeader = document.getElementById("HeaderTitle").innerHTML;
                }
            });
            if (Group == "OrgId")
            { UserRoleDataBind(); }
            else { OrganizationGet(); }
        });
        function PageName() {
            if (Group == "OrgId") {
                window.location.href = "../MobileView/MobileDashBoard2.aspx?OrgId=" + Id;
            }
            else {
                window.location.href = "../MobileView/MobileDashBoard2.aspx?OrgGroupId=" + Id;
            }
        }
        function HeaderDisplay(id) {
            if (id == 1) {
                document.getElementById("RoleHead").style.display = "block";
                document.getElementById("UserHead").style.display = "none";
                $("#Role").hide();
                Header = '' + ReHeader;
            }
        }

        function dashboardpage() {
            if (Group == "OrgId") {
                window.location.href = "../MobileView/MobileDashBoard2.aspx?OrgId=" + Id;
            }
            else {
                window.location.href = "../MobileView/MobileDashBoard2.aspx?OrgGroupId=" + Id;
            }
        }
        function OrganizationGet() {
            $.ajax({
                type: "POST",
                url: "NoOfUserCount.aspx/OrganizationGet",
                data: JSON.stringify({ "OrgId": OrgId, "BatchId": parseInt(BatchId) }),
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (result) {
                    var obj = (result.d);
                    var tblOrg = "";
                    var total = 0;
                    // console.log(obj);
                    if (obj != "") {
                        tblOrg += "<tr><th>Organization Name</th><th>Count</th></tr>";
                        $.each(obj, function (i, item) {

                            tblOrg += "<tr><td><a onclick='UserRoleDataBind(" + item.OrgId + ")'>" + item.Organization + "</a></td><td>" + item.UserCount + "</td></tr>";
                            total += parseInt(item.UserCount);

                        });
                        tblOrg += "<tr><td style='font-weight:bold'>Total</td><td style='font-weight:bold'>" + total + "</td></tr>";
                        // Header += " <h5 class='page-title' style='display:Block' id='ClassName'><a href='#' onclick='HeaderDisplay(1)'>" + ClassName + "</a></h5>";
                    }
                    else { tblOrg += "<tr><td colspan='8' class='record'>No records found..!!</td></tr>"; }
                    // alert(obj);
                    document.getElementById("tblOrg").innerHTML = tblOrg;
                    document.getElementById("RoleHead").style.display = "none";
                    document.getElementById("OrgHead").style.display = "block";
                    statusId = 0;
                    // document.getElementById("HeaderTitle").innerHTML = Header;
                }
            });
        }
        function UserRoleDataBind(Id) {
            if (Group == "OrgId")
            { OrgGroupId = 0; }
            else { OrgGroupId = OrgId; OrgId = Id; }
            $.ajax({
                type: "POST",
                url: "NoOfUserCount.aspx/UserRoleDataBind",
                data: JSON.stringify({ "OrgId": OrgId, "Group": Group, "OrgGroupId": OrgGroupId }),
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (result) {
                    var obj = (result.d);
                    var tblRole = "";
                    var total = 0;
                    if (obj != "") {
                        tblRole += "<tr><th>Role Name</th><th>User Count</th></tr>";
                        $.each(obj, function (i, item) {
                            tblRole += "<tr><td><a onclick='UserDataBind(" + item.RoleId + ",\"" + item.RoleName + " \")'>" + item.RoleName + "</a></td><td>" + item.UserCount + "</td></tr>";
                            total += parseInt(item.UserCount);
                        });
                        tblRole += "<tr><td style='font-weight:bold'>Total</td><td style='font-weight:bold'>" + total + "</td></tr>";
                    }
                    else { tblRole += "<tr><td colspan='8' class='record'>No records found..!!</td></tr>"; }
                    document.getElementById("tblRole").innerHTML = tblRole;
                    document.getElementById("RoleHead").style.display = "block";
                    document.getElementById("OrgHead").style.display = "none";
                }

            });
        }
        function UserDataBind(RoleId, RoleName) {

            $.ajax({
                type: "POST",
                url: "NoOfUserCount.aspx/UserDataBind",
                data: JSON.stringify({ "OrgId": OrgId, "Group": Group, "RoleId": parseInt(RoleId), "OrgGroupId": OrgGroupId }),
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (result) {
                    var obj = (result.d);
                    var tblUser = "";
                    if (obj != "") {
                        tblUser += "<tr><th colspan='2'>User Name</th></tr>";
                        $.each(obj, function (i, item) {
                            tblUser += "<tr><td colspan='2'>" + item.UserName + "</td></tr>";
                        });
                        Header += " <h5 class='page-title' style='display:Block' id='Role'><a href='#' onclick='HeaderDisplay(1)'>" + RoleName + "</a></h5>";
                    }
                    else { tblUser += "<tr><td colspan='8' class='record'>No records found..!!</td></tr>"; }
                    document.getElementById("tblUser").innerHTML = tblUser;
                    document.getElementById("HeaderTitle").innerHTML = Header;
                    document.getElementById("RoleHead").style.display = "none";
                    document.getElementById("UserHead").style.display = "block";
                    statusId = 1;
                }

            });
        }
        function BackOrgFunction() {
            if (statusId == 0) {
                if (Group == "OrgId")
                { window.location.href = "../MobileView/MobileDashBoard2.aspx?OrgId=" + OrgId; }
                else {
                    document.getElementById("RoleHead").style.display = "none";
                    document.getElementById("UserHead").style.display = "none";
                    document.getElementById("OrgHead").style.display = "block";
                    statusId--;
                }
            }
            else if (statusId == 1) {
                document.getElementById("RoleHead").style.display = "block";
                document.getElementById("UserHead").style.display = "none";
                $("#Role").hide();
                Header = '' + ReHeader;
                statusId--;
            }
            else {
                if (Group == "OrgId")
                { window.location.href = "../MobileView/MobileDashBoard2.aspx?OrgId=" + OrgId; }
                else { window.location.href = "../MobileView/MobileDashBoard2.aspx?OrgGroupId=" + Id; }
            }

        }
        function DashBoard() { window.location.href = "../MobileView/DashBoard.aspx"; }
    </script>
    <asp:UpdatePanel ID="DoctorScheduleUpdatePanel" runat="server">
        <ContentTemplate>
            <div class="page-header row mb20">
                <div class="col-xl-12 col-sm-12 col-xs-12 border-bottom-inline padd-0">
                    <div class="col-md-12 ptb12 d-inline-flex">
                        <span class='btn btn-home btn-icon' onclick='DashBoard()' title='home'><span><i class='material-icons'>home</i></span></span>
                        <div class="d-inline-flex w-100">
                            <label class="header-topic justify-content-center" id="HeaderLabel"></label>
                        </div>
                        <input type="button" value="&#xf3e5;" id="bntBackOrg" onclick="BackOrgFunction()" skinid="0" class="float-right btn btn-back btn-icon fas" />
                    </div>
                    <div class="main-topic inner" id="HeaderTitle">
                    </div>
                </div>
            </div>


            <div class="bg-white row center-block">
                <div class="container-fluid">
                    <div class="gutters-tiny push js-appear-enabled animated fadeIn overflow-hidden" data-toggle="appear">
                        <div class="himssuHeader1WireBox col-md-12 pTop5" id="OrgHead" style="display: block">
                            <h3 class="table-topic">Organization</h3>
                            <%-- <asp:PlaceHolder ID="DepartMentPlaceHolder" runat="server" /> --%>
                            <div class='himsBoxContent'>
                                <div class='table-responsive'>
                                    <table id='tblOrg' class='table table-striped table-bordered'>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <div class="himssuHeader1WireBox col-md-12 pTop5" id="RoleHead" style="display: none">
                            <h3 class="table-topic">User Role</h3>
                            <%-- <asp:PlaceHolder ID="DepartMentPlaceHolder" runat="server" /> --%>
                            <div class='himsBoxContent'>
                                <div class='table-responsive'>
                                    <table id='tblRole' class='table table-striped table-bordered'>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <div class="himssuHeader1WireBox col-md-12 pTop5" id="UserHead" style="display: none">
                            <h3 class="table-topic">User</h3>
                            <%-- <asp:PlaceHolder ID="DepartMentPlaceHolder" runat="server" /> --%>
                            <div class='himsBoxContent'>
                                <div class='table-responsive'>
                                    <table id='tblUser' class='table table-striped table-bordered'>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <%--     <div id="NoofStudentDepartDiv">
                                    <div class="himssuHeader1WireBox col-md-12 pTop5">
                                <h2 class="table-topic">User Count</h2>
                                     <asp:PlaceHolder ID="UserPlaceHolder" runat="server" />
                                        <input type="hidden" id="RoleId" runat="server" />  
                                    </div>
                                </div>--%>



                        <%--     <div id="NoofStudentDiv">
                            <div>
                                <h2 id="StudentPlace">Student Wise Student</h2>
                                <asp:PlaceHolder ID="StudentPlaceHolder" runat="server" />      
                            </div>
                        </div>--%>
                    </div>
                </div>
            </div>

            <script>
                
            </script>

            <%-- <script>

       function openDiv(obj) {
           //debugger;
           var id = $(obj);
           $("#RoleId").val(obj);
           if ($('.Detail1_' + id[0]).css('display') == 'none') {
               $('.Detail1_' + id[0]).css('display', 'table-row');
               $('.DetailNew1_' + id[0]).css('display', 'table-row');
               //  $('.Detail_' + id).css('display', 'none');
               //$('.DetailNew_' + id).css('display', 'none');
           }
           else {
               $('.Detail1_' + id[0]).css('display', 'none');
               $('.DetailNew1_' + id[0]).css('display', 'none');
           }
       }

       function openDivNew(obj) {
          // debugger;
           var id = $(obj);
          $("#RoleId").val(obj);
          if ($('.Detail1_' + id[0]).css('display') == 'none') {
              $('.Detail1_' + id[0]).css('display', 'table-row');
               $('.DetailNew1_' + id[0]).css('display', 'table-row');
             //  $('.Detail_' + id).css('display', 'none');
               //$('.DetailNew_' + id).css('display', 'none');
           }
           else {
               $('.Detail1_' + id[0]).css('display', 'none');
               $('.DetailNew1_' + id[0]).css('display', 'none');
           }
       }
    </script>--%>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
